package com.yuchen.saas.parking.api.dto.coupon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.support.Query;

/**
 * @author zhouhanwei
 * @create 2023/3/20 15:21
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel()
public class ParkingFreePassReasonPageDTO extends Query {


    /**
     * 免费放行原因
     */
    @ApiModelProperty(name = "freePassReason", value = "免费放行原因")
    private String freePassReason;

    /**
     * 开启状态（0：否，1：是）
     */
    @ApiModelProperty(name = "enableStatus", value = "开启状态（0：否，1：是）")
    private Integer enableStatus;
    /**
     * 使用次数
     */
    @ApiModelProperty(name = "usageCount", value = "使用次数")
    private Integer usageCount;
    /**
     * 客户id
     */
    @ApiModelProperty(name = "customerId", value = "客户id")
    private Long customerId;
    /**
     * 停车场id
     */
    @ApiModelProperty(name = "parkingId", value = "停车场id")
    private Long parkingId;

    public String getFreePassReason() {
        return freePassReason;
    }

    public void setFreePassReason(String freePassReason) {
        this.freePassReason = freePassReason;
    }

    public Integer getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(Integer enableStatus) {
        this.enableStatus = enableStatus;
    }

    public Integer getUsageCount() {
        return usageCount;
    }

    public void setUsageCount(Integer usageCount) {
        this.usageCount = usageCount;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getParkingId() {
        return parkingId;
    }

    public void setParkingId(Long parkingId) {
        this.parkingId = parkingId;
    }

    @Override
    public String toString() {
        return "ParkingFreePassReasonPageDTO{" +
                "freePassReason='" + freePassReason + '\'' +
                ", enableStatus=" + enableStatus +
                ", usageCount=" + usageCount +
                ", customerId=" + customerId +
                ", parkingId=" + parkingId +
                '}';
    }
}
